task mendelian {
	File sister_vcf
	File LCL7_vcf
	File LCL8_vcf
	String LCL7_name
	String LCL8_name
	String family_name
	File ref_dir
	String fasta
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		export LD_LIBRARY_PATH=/opt/htslib-1.9

		mkdir VBT

		/opt/VBT-TrioAnalysis/vbt mendelian -ref ${ref_dir}/${fasta} -mother ${LCL8_vcf} -father ${LCL7_vcf} -child ${sister_vcf} -outDir VBT -out-prefix ${family_name} --output-violation-regions

		cat VBT/${family_name}_trio.vcf | grep '#' | cut -f1-9,10 > mother_header
		cat VBT/${family_name}_trio.vcf | grep -v '#' | cut -f1-9,10 | grep 'MD=1' | grep -v '0/0' | cat mother_header - > ${LCL8_name}.sister.mendelian.gt.vcf

		cat VBT/${family_name}_trio.vcf | grep '#' | cut -f1-9,11 > father_header
		cat VBT/${family_name}_trio.vcf | grep -v '#' | cut -f1-9,11 | grep 'MD=1' | grep -v '0/0' | cat father_header - > ${LCL7_name}.sister.mendelian.gt.vcf

		cat VBT/${family_name}_trio.vcf | grep '#' | cut -f1-9,12 > twin_header
		cat VBT/${family_name}_trio.vcf | grep -v '#' | cut -f1-9,12 | grep 'MD=1' | grep -v '0/0' | cat twin_header - > ${family_name}.twins.sister.mendelian.gt.vcf

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		Array[File] vbt_mendelian = glob("VBT/*")
		File mother_vcf = "${LCL8_name}.sister.mendelian.gt.vcf"
		File father_vcf = "${LCL7_name}.sister.mendelian.gt.vcf"
		File twins_vcf = "${family_name}.twins.sister.mendelian.gt.vcf"
	}
}